Package org.apache.groovy.contracts.util

# Class FieldValues

java.lang.Object
org.apache.groovy.contracts.util.FieldValues

public class FieldValues extends Object
This utility is meant to be used to replace direct calls to private field variables in class invariants.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T`
  `fieldValue(Object obj, String fieldName, Class<T> type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FieldValues

    public FieldValues()

- ## Method Details

  - ### fieldValue

    public static <T> T fieldValue(Object obj, String fieldName, Class<T> type) throws IllegalAccessException
    Throws:
      `IllegalAccessException`